namespace Fix
{
  [CCode (cheader_filename = "gtk/gtk.h")]
  public class GtkTreeView
  {
    /* @bug http://bugzilla.gnome.org/show_bug.cgi?id=536480 */
    [CCode (cname = "gtk_tree_view_row_expanded")]
    public static bool row_is_expanded (Gtk.TreeView tree_view, Gtk.TreePath path);
  }

  /* @bug http://bugzilla.gnome.org/show_bug.cgi?id=559647 */
	[CCode (cname="GtkRecentData", cheader_filename = "gtk/gtk.h")]
  public struct GtkRecentData : Gtk.RecentData
  {
    public weak string display_name;
    public weak string description;
    public weak string mime_type;
    public weak string app_name;
    public weak string app_exec;
    [CCode (array_length = false)]
    public weak string[] groups;
    public bool is_private;
  }

  [CCode (cprefix = "sqlite3_")]
  public class SqliteDatabase
  {
    /* @bug http://bugzilla.gnome.org/show_bug.cgi?id=579364 */
    [CCode (cname = "sqlite3_exec")]
    public static int exec (Sqlite.Database database, string sql, Sqlite.Callback? sqlite3_callback = null, out weak string errmsg = null);
  }
}

